# Gimp.param_spec_choice

    @accepts(unicode, unicode, unicode, Gimp.Choice, unicode, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def param_spec_choice(name, nick, blurb, choice, default_value, flags):
        # Python wrapper for gimp_param_spec_choice()

Creates a new Gimp.ParamSpecChoice specifying a #G_TYPE_STRING property. This %GimpParamSpecChoice takes ownership of the reference on choice.

See g_param_spec_internal() for details on property names.

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

choice

  the %GimpChoice describing allowed choices.

default_value
flags

  Flags for the property specified.

Returns